跳转到主要内容
运营管理/租户管理(Plus)/工单管理相关接口
PUTTicket Operations起始版本 3.0.0同步需要认证

修改自定义审批的步骤

修改自定义审批的步骤

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • updateiam2ticketflowObject必填

    updateiam2ticketflow 请求体结构

    • nameString

      资源名称

    • descriptionString

      资源的详细描述

    • approverUuidString

      可选。

    • approverTitleString

      可选。

  • systemTagsList

    可选。

  • userTagsList

    可选。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryTicketFlowInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • parentFlowUuidString必填

      暂无描述。

    • flowContextString必填

      暂无描述。

    • flowContextTypeString必填

      暂无描述。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • collectionUuidString必填

      采集UUID。

请求地址

PUT/zstack/v1/tickets/flow/{uuid}/actions

/zstack/v1/tickets/flow/{uuid}/actions

操作 ID

UpdateIAM2TicketFlow

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/tickets/flow/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2ticketflow":{"name":"<name>","description":"<description>","approverUuid":"<approverUuid>","approverTitle":"<approverTitle>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "1dc3521c3ec74b81813121404e5941e6", "name": "flow1", "description": "flow description", "parentFlowUuid": "bb2897de253e497f94587fc09b5ef969", "flowContextType": "{\"approverUuid\":\"da8cc8c2412246b6b29b38328b7dab88\"}", "createDate": "Dec 28, 2018 6:39:33 PM", "lastOpDate": "Dec 28, 2018 6:39:33 PM", "collectionUuid": "2b9bdd8b1c1d4163864e55d16840954f" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史